Version 2.7.5 (23.12.2007)
- New Feature: Hotseat Multiplayer works again! Play against your friends in deathmatch or
  fight along them through monster filled dungeons!
- New Feature: Particle Rotation is now implemented into the game (Arrows fly correctly!)
- New Feature: A couple of new items and monsters have made it into the game!
- New Feature: Knife's Heist! A module for every treasure hungry rogue out there!
- New Feature: The Paladin has new textures, icons and sounds.
- New Feature: A new skill system that allows a character the usage of multiple skills.
- New Feature: Egoboo has now almost no limit to the different types of particles it can have.
  New particle images and effects has already been added!
- New Feature: There is no limit to the max level a character can gain anymore!
- New Feature: Wizards now have the Alchemy Skill, which identifies all potions they grab.
- Update: The teleport spell can now malfunction (Chance based on intelligence)
- Update: A number of updates has been made to the Video section of the options menu.
- Update: The Bind spell can now be resisted (Checks caster Int vs. target Wis)
- Update: The Ice Palace now has a new title icon (Credits to Chainsaw)
- Update: Damage effects can now have the "knockback" and "mana drain" abillity.
- Update: Demons are now much more dangerous.
- Update: Added a new boss tune to the Deamon Lord fight.
- Update: The Watcher boss is now more dangerous.
- Update: The max limit of the stats for any character has been increased to 75.
- Update: The mouse cursor has been changed.
- Update: The Orbstorm spell has been made a lot weaker.
- Update: Compressed some files to reduce game size by 8 mb.
- Update: The Game Manual has now a monster section too (Thanks to Florian Natterer)
- Update: The Spork of Fire has a new skin.
- Update: The Camera control has been improved a lot (Credits to bgbirdsey).
- Update: Egoboo now has improved Linux compitabillity.
- Update: The Bishopia guards have new sounds and talk when you bump them.
- Update: Improved the aim of the Longbow (Now superb for aiming up and down)
- Update: Some rebalancing was made to a number of modules.
- Update: A number of graphical enhancements (Credits to bgbirdsey)
- Bugfix: Enchantment end sounds now play correctly.
- Bugfix: Book of Size and Fearie Light no longer provokes guards to attack.
- Bugfix: Invisibillity effects now work properly.
- Bugfix: Some lightning and transparency bugs fixed (Credits to bgbirdsey)
- Bugfix: The firebomb trapped chest in the Abyss now correctly drops loot.
- Bugfix: A bad bug causing all spellcasters to gain too much mana return.
- Bugfix: Switches in the Catacombs can no longer be killed.
- Bugfix: The Relic of Turning from the Catacombs now works correctly.
- Bugfix: The Rogue Starter now spawns the correct particles instead of just coins.
- Bugfix: Fixed some monsters getting spawned stuck inside walls.
- Bugfix: A ton of various minor bugfixes (Credits to Florian Natterer)
- Bugfix: The map in the Shadow Palace now works again (Credits to Florian Natterer).
- Bugfix: Fixed some memory errors and leaks (Credits to Hans de Goede)
- Bugfix: Bishopia Torches now lightable (Credits to Agent of Dread)
- Bugfix: The new script functions were not correctly implemented.
- Bugfix: The ammo quiver is no longer thrown when used.
- Bugfix: Fixed the Pause button not working properly.
- Bugfix: A ton of minor messaging bugs!

Version 2.4.4b (25.10.2007)
- This release fixed some bugs and changes that were supposed to be done in the last version:
   * The Paladin Starter modifications
   * Sound bug error
   * Some minor graphical things

Version 2.4.4 (24.10.2007)
- New Feature: The Deamon Lord in the Abyss now drops random (Some new!) magical loot each time you kill him.
- New Feature: Added an exciting new music track for the Elf Starter.
- New Feature: Added a new monster - The Death Mephit (Also upgraded all mephit AI and skins).
- New Feature: High quality shadows now work correctly.
- Update: Some updated menu graphical texturing.
- Update: Healers and Paladins now gain wisdom bonus to their healing power.
- Update: The Abyss has now the new nice and scary revamped textures (Credits to Hiroy). 
- Update: Snow Cobols have new improved revamped skins.
- Update: The Paladin and Wizard starter is now easier to finish (Also increased paladin life).
- Update: Did some minor upgrades to several Starters (New effects, balance and fixes)
- Update: Few other minor monster changes/tweaks
- Bugfix: Ammo quivers can no longer reload ninjastar bags.
- Bugfix: Lags between music switching should be reduced.
- Bugfix: Music track changes should now be correct (They were wrong before).
- Bugfix: Some AI script issues in the Soldier Starter
- Bugfix: Bug making the overlay effects in the G'nome starter not work properly.

Version 2.4.3 (22.09.2007)
- New Feature: Ingame video and audio setup now works!
- New Feature: Ansiotropic, Bilinear and Trilinear texture filtering has been added in addition to Linear filtering.
- New Feature: High wisdom and intelligence can now directly influence all spell damage dealt
- New Feature: The badass Zombi monster has new special powers and improved AI!
- New Feature: Overlay effects have been added (Gnome starter)!
- Update: Added the autocamera rotation function (Still needs some work for perfection).
- Update: Pressing F8 ingame now pauses the game until you press F8 again.
- Update: Pressing the buttons "control+q" now quits the game anytime.
- Update: Some optimizing and improvement in the sound and music code.
- Update: Xp penality upon death has been reduced from 25% to 15%.
- Update: Cleaned up the game structure, reducing number of files needed by 195 and disk usage by 780 kb.
- Bugfix: A bug in the soldier starter causing locked doors not to open
- Bugfix: When reloading gunpowder weapons, the G'nome no longer throws away an ammo box while doing so.
- Bugfix: Holding the Spork of Fire always made you instantly win any level.

Version 2.4.1 (16.08.2007)
- New Feature: A new fully working music system for both ingame and in the menu! (Including sound fading and 3D positioning)
- New Feature: Over 10 new different music tracks for different modules and themes
- New Feature: Graphic enchacements like Antialasing, Shading, Dithering and Prespective Correction is now added and
  is fully functional.
- Update: The ultimate powers of the rouge and paladin has changed (Rouge can do triple jumps while paladin converts evil
  damage to mana).
- Update: A sound effect is played whenever a player gains a level up.
- Update: Instead of losing all their money, players lose an amount dependant on their level.
- Bugfix: Fixed some minor messaging issues.
- Bugfix: Fixed a number of incorrect damage ranges, skins, particle spawns and attack rates.
- Bugfix: A bug causing the character not being able to open the boss door in the Soldier starter.
- Bugfix: Map markers and icon sparkles work again.
- Bugfix: Many sound script functions work now correctly.
- Note: All modules have been unlocked so that they all can be tested for bugs and such.

Version 2.3.9 (06.08.2007)
- New Feature: New type of divine spells can be found in the Paladin shop which is now 
  included in Bishopia!
- New Feature: Over ten new magical items, divine spells and potions (Including powerful elixirs
  which permanently boost your health!)
- Update: The XP loss system was greatly improved! No more bugs or strange errors. From now on you
  always lose a clean 25% of your total XP if you respawn. If you are brought back trough an 
  spell/scroll, then you will not lose any XP at all!
- Update: Money is no longer lost when dropped in water.
- Update: Mana cost for the Haste spell was reduced by 33%
- Update: The Orbstorm spell now costs significally more mana to use.
- Update: Energy Drain is now permanent (Life loss as described in the manual).
- Update: The Game Manual had a big update in the spell section. All spells from both the new
  Divine type and the old Arcane are added with detailed description. In addition more
  information and help about spellcasting can be found there too. Lastly an new section
  about status condition is described.
- Bugfix: Picking up more than 9999$ does no longer drop your money back to 0$. (Credits to Florian Natterer)
- Bugfix: Items and equipment in Bishopia shops are now never cursed.
- Bugfix: You could sell the Bridge of Light spell for 200 zorkmids and rebuy it for 100!
- Bugfix: Fixed the Ice Ball wand icon.
- Bugfix: The Holy Rune in the Catacomb module now correctly works for divine casters.
- Bugfix: The northwest gate in the Abyss module is opened again when you kill the vampires. (Credits to Florian Natterer)
- Bugfix: The shovel no longer "Hovers" over ground.
- Bugfix: Fixed the Healer special power.
- Bugfix: Lot of other fixes and tweaks.
- Note: The installer includes a package called vcredist.exe which installs all required files to 
  run Egoboo, which means it should work on most computers now.
- Note: The old option to play with more than 1 player is added. Just run multiplayer.exe - It is also possible to play
  over network or internet with it (Read manual). Anyways multiplayer.exe does have a number of bugs and errors that
  are fixed in the normal exe file, but for those who really want to play multi or hotseat - this is a option.

Version 2.3.8 (10.06.2007)
- New Feature: The Catacombs level 2 is finished! This is a high level dungeon filled with
  undead and lots of other nasty suprises - enjoy!
- New Feature: Couple of new items and monsters (Weapons, ghosts, amulets, etc).
- Update: Tons of fixes, changes and tweaks in the Bishopia module (Including new items, sounds, etc.)
- Update: Various IDSZ references updated to be more correct.
- Update: Improved the AI for the Deamon Lord and Vampires.
- Update: Some minor rebalancing trougout all of the classes.
- Update: Smoothed out the wall textures in the Ice Palace.
- Update: You can no longer respawn when killed in towns and cities.
- Bugfix: The Soldier starter is now always beatable in addition to some minor other enchntments to 
  the module (Credits to Florian Natterer).
- Bugfix: Fixed various bugs in the Ice Palace
- Bugfix: Fixed the boss door stuttering and passage failure in the Abyss level 1.
- Bugfix: The rogue shop and the Paladin order gate should now correctly function again.

Version 2.3.7 (27.03.2007)
- Update: Now the city of Bishopia has a title art.
- Update: Manapotions are now 60% cheaper than before.
- Update: Did some minor improvement tweaks on Bishopia City.
- Update: Made some changes to the Catacomb art titles to make them more distinct.
- Update: Fire Mephit AI has been improved (Mephits no longer flock and move trough. 
  eachother). Also redid the mephit/wing structure to optimize the need of datafiles to 1/6.
- Bugfix: Abyss Level 2 module is now beatable and exportable.
- Bugfix: Did some script AI fixes for the Bishopia Guards.
- Bugfix: Now the module unlock bug really is totally free of bugs!
- Bugfix: Several minor tweaks on the Wizard Starter.

Version 2.3.6 (15.03.2007)
- New Feature: A showcase for level 3 in the final Catacomb modules has been added.
- New Feature: Bishopia module is finally finished (For beta testing)!
- New Feature: About 30 new objects, including potions, weapons, magic, etc.
- New Feature: New improved user intreface menu!
- Update: The Arena module has been reimplemented
- Update: Did some changes to the Paladin starter. It is slightly easier to win.
- Update: Egoboo now uses SDL version 1.2.11
- Update: Paladins can no longer use crossbows
- Update: Xp penality has been tuned down by about 33%
- Update: Longbows have improved aim while crossbows have increased reload time
- Update: It takes longer time between shots of a gonne (While pistol shoots faster)
- Update: Greatly improved the Ulna monster AI (Normal Ulnas, leaders and throwers
  use the same AI and data to optimize)
- Bugfix: Fixed particles sometimes not appearing when they should
- Bugfix: Gong sound now plays correctly
- Bugfix: No respawn modules now work correctly
- Bugfix: Module Unlock system error removed
- Bugfix: Whitebeard in the G'nome module can now fire a gonne again
- Bugfix: Pressing Escape while in a module no longer quits the game
- Bugfix: Numerous minor tweaks, improvements and fixes
- Note: Random maps has been temproary removed (No active developers were working on it)
- Note: Menu music is removed until an later version (Until SDL_mixer is added again)

Version 2.2.4 (08.01.2007)
- New Feature: A proper installer has been added (Thanks to Alazamir)
- New Feature: Each class has now a unlockable special power (Read game manual for more info)
- New Feature: Death penality has been added (Xp loss) - Still in test phase for balancing
- New Feature: Module unlock system has been enabled! You now need to beat a specific palace before you 
  can advance to the next one.
- Update: Players no longer need to identify spellbooks they buy in cities
- Update: Poisoned weapon system has been updated, rouges and characters with high wisdom are more able to   
  use these weapons (None-rouges with low wisdom will often poison themselves)
- Update: Textures for Random Maps have been greatly improved
- Update: Game Manual has been updated a lot for 2.2.4
- Update: Ice Palace had some finishing touches (Last boss still needs better animation)
- Update: Adventurers have now a max level of 6 instead of 4!
- Update: Many of the classes have been rebalanced (Especially xp system)
- Update: Several spells gain bonus damage or effect from intelligence
- Update: Original Egoboo controls has been set as standard (You can still change them as normal in controls.txt)
- Update: Zippy Town has it's items tuned down a bit (Some were too powerful)
- Update: Trolls are tougher to defeat than before
- Bugfix: Fixed paladin skin bugs
- Bugfix: Sound delay error removed!
- Bugfix: Sand Palace double keyuse bug fixed...
- Bugfix: Ash palace requires you now to find the spork to win (Not only killing the boss)
- Bugfix: Several minor fixes and tweaks
- Note: Networking support has been removed for as long as it takes to remove the
  module cap on it (It only worked with less than 10 modules implemented into the game).
- Note: The city of bishopia is delayed because the source code did not support its large amount of content.
  Game source is being fixed for next update so that the module will correctly work again.
- Note: Secret unlockable Arena module has been removed for until version 2.2.5
  
Version 2.2.3 (08.10 2006)
- New Feature: Menu Music has been added to the game! (Music by Klastek Timrak)
- New Feature: The Ice Palace has been added (Beta Version)!
- New Feature: 3 totally new monsters and a couple of new magic items
- New Feature: Network Support added! - Read game manual for more info (Thanks to Jonathan Fischer)
- New Feature: Map Tilesets have been added (For Developers)
- Update: The game Setup has been updated
- Update: Updated the GPL document (General Public License)
- Update: Macintosh users can now play Egoboo as well!
- Update: Original Egoboo icon included
- Update: G'nomes have now a lvl cap of 6 instead of 4
- Update: A really major update has been done to the Game Manual (Lots of info on how to develop egoboo)
- Update: The Wizard Starter had some minor tweaking
- Bugfix: 3D Positional sounds are now functional
- Bugfix: Removed bug making the player automatically attack when starting the game
- Bugfix: Game physhics now work in Adventurer Starter again
- Bugfix: Lots of Minor Bugfixes


Version 2.2.1 (29.July 2006)
- New Feature: Added about 6 new monsters
- New Feature: Added few new weapons, potions and other various items
- New Feature: Starter Modules including Elf, Wizard, Soldier and Paladin Starters!
- Update: The Egoboo Manual is now up to date!
- Bugfix: Fixed Healer Starter bug: Always exporting the character
- Bugfix: Rouge Starter bug: K'nife not responding propely
- Bugfix: A bug making all shields in Ash Palace dissapear (Credits to Denis Jaimes)